Skip to content

Instantly share code, notes, and snippets.

View id_rsa.pub
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC/lJMlFUldcnPxqyrR62MCjckArWN1ys7RDLzfOirpXjHAjQSfUJ4OISjoTY8QJSfET6YBXF10HjLW0wpXNNDAg/l0s2UEvd1jqmE4Ovyx62LSbRShTNk2elfH+dDU0sJJgBzpCrP/jP5hvVW8MM1Tiw9WDn+x7hpIbeDBwt3WyfX0cf3MS8jmf51qFNe3SaAokurdIgc/0716Q6rF8oWvbDaFzKknukqBLIqtdroukvnJWw4nKUii7Ee6nYws3UcYYmlerdZGktOBxIxVlypWda4Uw3GiiFB5GkEWEeGVaiT4SGX+yq84KRVA8vrT0toF4Pu9VnarCBObwm9B3CRR GitHub@nemothekid
View error.out
error: failed to select a version for `zstd`.
... required by package `beacon-uploader v0.1.0 (/Users/nemo/rust/bacon)`
versions that meet the requirements `= 0.4.23` are: 0.4.23+zstd.1.4.0
the package `bacon` depends on `zstd`, with features: `partial-io` but `zstd` does not have these features.
failed to select a version for `zstd` which could resolve this conflict
View api.rs
struct AxisApiClient {
client: Client,
}
fn check_authorization(
client: Client,
res: Response,
) -> impl Future<Item = Response, Error = reqwest::Error> {
match res.status() {
http::StatusCode::UNAUTHORIZED => {
View noclosure.py
#!/usr/bin/python
def a():
print('a')
def b():
print('b')
def c():
print('c')
View fpipeline.py
#!/usr/bin/env python3
# pylint: disable=missing-docstring,not-async-context-manager
import struct
import pickle
import hashlib
import time
import asyncio
import faust
View gist:7da00fe45162f56e74cee242bda5e656
let byte_offset = bit_idx / 8;
let byte = match val {
database::Value::String(s) => {
if byte_offset < s.len() {
s[byte_offset]
}
0 as u8
},
database::Value::Integer(i) => {
let s = &Bytes::from(i.to_string());
View cmd.rs
pub enum Command {
Unimplemented(super::Unimplemented),
Get(string::Get),
Set(string::Set),
Append(string::Append),
Ping(connection::Ping),
Echo(connection::Echo),
}
impl Command {
View gist:f1c77405f1f700c536d2237c66ac4b80
### Keybase proof
I hereby claim:
* I am nemosupremo on github.
* I am nemosupremo (https://keybase.io/nemosupremo) on keybase.
* I have a public key whose fingerprint is CFAB FFA6 1571 A7C5 D4DB 5A26 F308 AE52 65F3 B4E6
To claim this, I am signing this object:
View fb.md

Facebook continues to make real-time improvements to its platform to protect people's data. We are making the following changes to maintain trust with people who use our products. These changes are never easy, but by focusing our efforts, we can put stronger protections in place to combat potential abuse. Please find a quick summary of these changes below:

Facebook Login:

  • App review required to ask users to share checkins, likes, photos, videos, events, and groups
  • Following fields are now deprecated and will return empty data: relationship_status, religion, political, friendlists, education, work, about, website, interested_in
  • Following Open Graph permissions are also deprecated and will return empty data: books, fitness, games, music, news, video
  • Taggable friends and mutual friends APIs are now deprecated

Pages API:

View gist:7d6ad70ab9d520250178c57b30192fb5
package sarama
import (
"errors"
"fmt"
"sync"
"sync/atomic"
"time"
)